Subject: [v6ops] New Version Notification for draft-anderson-v6ops-siit-eam-02.txt

From: Tore Anderson <[email-masked]>
Date: Sat, 13 Dec 2014 17:10:34 +0100

Hello,

I've uploaded a new version of draft-anderson-v6ops-siit-eam. The
significant changes are:

- Describe the address translation algorithm as detailed step-by-step
  procedure, one section for IPv4->IPv6 and another for IPv6->IPv4. I
  hope this addresses Cameron's misgivings about the language in -01.
- Allow EAM entries to have longer IPv6 suffixes than IPv4. This is
  required to support IVI address mappings. When translating from IPv4
  to IPv6, the missing suffix bits are zero padded; when translating
  from IPv6 to IPv4, the superfluous suffix bits are discarded.
- Include a section in the appendix that describes the IVI use case.
- Include a section in the appendix that shows the outcome of the
  algorithm for various example addresses using a number of example
  EAMs.

Tore

Forwarded message:

A new version of I-D, draft-anderson-v6ops-siit-eam-02.txt
has been successfully submitted by Tore Anderson and posted to the
IETF repository.

Name:		draft-anderson-v6ops-siit-eam
Revision:	02
Title:		Explicit Address Mappings for Stateless IP/ICMP Translation
Document date:	2014-12-13
Group:		Individual Submission
Pages:		12
URL:            http://www.ietf.org/internet-drafts/draft-anderson-v6ops-siit-eam-02.txt
Status:         https://datatracker.ietf.org/doc/draft-anderson-v6ops-siit-eam/
Htmlized:       http://tools.ietf.org/html/draft-anderson-v6ops-siit-eam-02
Diff:           http://www.ietf.org/rfcdiff?url2=draft-anderson-v6ops-siit-eam-02

Abstract:
   This document extends the Stateless IP/ICMP Translation Algorithm
   (SIIT) with an Explicit Address Mapping (EAM) algorithm, and formally
   updates RFC 6145.  The EAM algorithm facilitates stateless IP/ICMP
   translation between arbitrary (non-IPv4-translatable) IPv6 endpoints
   and IPv4.